// Bootstrap overrides for this template
body {
  font-family: 'Roboto';
  font-size: 17px;
  overflow-x: hidden;
}

#bodyWrapper{
  width: 100vw;
  overflow-x: hidden;
}


a:hover {
  text-decoration: none;
}

section {
  padding: 4rem 0;
  background-color: whitesmoke;
}

.blue-border {
  margin-top:-5px;
  margin-left: -5px;
  border: 1px solid $primary;
  border-radius: 5px;
}

.benefit-icon {
  float: left;
  width: 30%;
}

.benefit-description {
  float: left;
  width: 70%;
}

.redUnderline {
  color: red;
  border-bottom: 5px solid red;
}

.card {
  border-radius: 10px;
}

.text-primary {
  color: $primary !important;
}

.btn {
  font-weight: 700;
  text-transform: uppercase;
  border: none;
  border-radius: 300px;
  @include sans-serif-font;
}

.btn-xl {
  padding: 1rem 2rem;
}

.btn-primary {
  background-color: $primary;
  border-color: $primary;
  &:hover,
  &:focus,
  &:active {
    color: $white;
    background-color: darken($primary, 5%) !important;
  }
  &:active,
  &:focus {
    box-shadow: 0 0 0 0.2rem rgba(240, 95, 64,.5) !important;
  }
}

.col-centered{
  float: none;
  margin: 0 auto;
}

.link-bottom-right{
  position: absolute;
  bottom: 0;
  right: 0;
}

.blue-border-left {
  border-left: 1px solid $primary ;
}

.background-red {
  background-color: red;
  border-radius: 10px;
}

#dhaTitle {
  text-shadow: 3px 3px 0 #000;
}

#dhaDescription {
  text-shadow: 1px 1px 0 #000;
}

#minRequirements {
  padding: 4rem 0;
  padding-bottom: 0;
}

#packages {
  background-color: $secondary;
}

#packagesHeading {
  padding-top: 10px;
}

#packagesContainer {
  background-color: $secondary;
}

#applicationsHeading {
  padding-top: 10px;
}

#gspanList {
  list-style-type: none;
}

#tutorial {
  background-color: $secondary;
}


#continousIntegrationContainer {
  background-color: whitesmoke;
}

#applications{
  background-image: url("../img/codeBackground.png");
  padding: 10rem 0;
}

#sampleApplications {
  background-color: white;
}

// wmt-applications.html
.nav-link-item {
  color: $gray-600;
  font-weight: 700;

  &:hover {
    box-shadow: inset 0 -2px 0 0 #771213;
    color: $primary;
  }

  &.nav-link.active {
    color: $primary !important;
  }
}

.card-logo {
  height: 50px;
  object-fit: contain;
  object-position: 0 0;
}

@media (min-width: 768px) {
  // wmt-applications.html
  #wmt-applications {
    .card-title {
      min-height: 3rem;
    }

    .card-text {
      min-height: 10.9375rem;
    }
  }
}

@media (min-width: 992px) {
  #mainNav {
    border-color: transparent;
    background-color: transparent;
  }
  #mainNav .navbar-brand {
    color: rgba(255, 255, 255, 0.7);
  }
  #mainNav .navbar-brand:focus, #mainNav .navbar-brand:hover {
    color: #fff;
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link {
    padding: 0.5rem 1rem;
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus {
    color: rgba(255, 255, 255, 0.7);
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #fff;
    box-shadow: inset 0 -2px 0 0 #771213;
  }
  #mainNav.navbar-shrink {
    border-bottom: 1px solid rgba(33, 37, 41, 0.1);
    background-color: #fff;
  }
  #mainNav.navbar-shrink .navbar-brand {
    color: #023977;
  }
  #mainNav.navbar-shrink .navbar-brand:focus, #mainNav.navbar-shrink .navbar-brand:hover {
    color: #023976;
  }
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus {
    color: #212529;
  }
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #023977;
  }

  // wmt-applications.html
  #wmt-applications {
    .card-text {
      min-height: 12.5rem;
    }
  }
}

@media (min-width: 1200px) {
  // wmt-applications.html
  #wmt-applications {
    .card-text {
      min-height: 9.375rem;
    }
  }
}